#!/bin/bash
homedir=/linuxcash/cash/sync/
PID=$(cat /tmp/uploadall.pid)
kill -0 $PID
VAL=$?
mask="*.json"
if [ $VAL != 0 ] ; then
    echo $$ > /tmp/uploadall.pid

    sleepseconds=0
    while [ `ls ${homedir}uploads/$mask | wc -l` -ne 0 ]
    do
	f=`ls ${homedir}uploads/$mask | head -1`
	${homedir}bin/upload.sh $f
	uploaded=true
	if [ -e $f ] ; then
	    sleepseconds=`expr $sleepseconds + 60`
            sleep $sleepseconds
	else
	    sleepseconds=0
	fi
    done

    if [ "$uploaded" == "" ] ; then
	${homedir}bin/markloaded.sh --subj=sales --fail=false
    fi
fi
