#!/bin/bash
homedir=/linuxcash/cash/sync/
logfile=/linuxcash/logs/current/sync.log
echo `date` " create unload" >>${logfile}
echo "from $1 to $2" >> ${logfile}

dateStr="$1@$2"
fileStr=`echo $dateStr|tr : _`
echo "dateStr=$dateStr" >>${logfile}
echo "fileStr=$fileStr" >>${logfile}
/linuxcash/cash/exchangesystems/exchangers/scripts/cash/unload_sales.sh --path="${homedir}uploads/$fileStr.json" --converter=aif  --granularity=$3 --dates="$dateStr" 1>>${logfile} 2>>${logfile}


${homedir}bin/uploadall.sh

if [ -f ${homedir}uploads/check.txt ] ; then
    for markparam in `cat ${homedir}uploads/check.txt` ; do
        ${homedir}bin/markloaded.sh --subj=sales --fail=false ${markparam/&/ }
    done

fi